Subject: [Iptel] RE: Scope of *rn* parameter in the context of LNP

From: "Yu, James" <[email-masked]>
Date: Fri, 1 Apr 2005 17:10:28 -0500

Chelliah,
 
I checked RFC3398.   Yes, you detected an inconsistency between RFC3398 and my I-D.
 
RFC3398 references my I-D that is not yet a RFC.   My current I-D does not use "npdi=yes" (just "npdi") and the "rn" is either a global-rn (global routing number)  or local-rn (e.g., national number with +1 in the rn-context).
 
RFC3398 needs to be corrected.
 
James

-----Original Message-----
From: Chelliah Sivachelvan (chelliah) [mailto:[email-masked]]
Sent: Wednesday, March 30, 2005 12:05 PM
To: [email-masked]; Yu, James
Cc: [email-masked]; [email-masked]; Peterson, Jon
Subject: RE: Scope of *rn* parameter in the context of LNP

Correction: The referenced RFC is 3398 not 3388.
 
Thanks!
Chella

  _____  

From: Chelliah Sivachelvan (chelliah) [mailto:[email-masked]] 
Sent: Wednesday, March 30, 2005 11:00 AM
To: [email-masked]'
Cc: [email-masked]'; [email-masked]'; [email-masked]'
Subject: Scope of *rn* parameter in the context of LNP

James:

The current draft (draft-ietf-iptel-tel-np-04.txt) implies that the *rn* parameter can contain global numbers (i.e., E.164 numbers) in the context of LNP. This has also been illustrated in one of the examples in section 6(c). 
 
But the scope of LNP is national; as such the scope of routing number (LRN) is not a globally reachable number. Therefore, it must be treated as a national number. RFC-3388 also makes a strong statement on this very subject. Here is the excerpts from RFC-3388 (section 8.2.1.1 ) 
 
   "LRNs are necessarily national in scope, and consequently they MUST NOT be preceded by a '+' in the 'rn=' field."

We need to resolve the discrepancies between the two specs.

Thanks!
Chella

Cisco Systems,
2200 East President George Bush Turnpike ,
Richardson, TX 75082
Tel: 469.255.1169

_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel

---

From: Gonzalo Camarillo <[email-masked]>
Date: Sat, 02 Apr 2005 09:25:35 +0300

James,

what was the reason for moving from "npdi=yes" to only "npdi"?

Thanks,

Gonzalo

Yu, James wrote:
> RFC3398 references my I-D that is not yet a RFC.   My current I-D does 
> not use "npdi=yes" (just "npdi") and the "rn" is either a global-rn 
> (global routing number)  or local-rn (e.g., national number with +1 in 
> the rn-context).
>  
>     *From:* Chelliah Sivachelvan (chelliah) [mailto:[email-masked]]
>     *Sent:* Wednesday, March 30, 2005 12:05 PM
>     *To:* [email-masked]; Yu, James
>     *Cc:* [email-masked]; [email-masked]; Peterson, Jon
>     *Subject:* RE: Scope of *rn* parameter in the context of LNP
> 
>     ------------------------------------------------------------------------
>     *From:* Chelliah Sivachelvan (chelliah) [mailto:[email-masked]]
>     *Sent:* Wednesday, March 30, 2005 11:00 AM
>     *To:* [email-masked]'
>     *Cc:* [email-masked]'; [email-masked]';
>     [email-masked]'
>     *Subject:* Scope of *rn* parameter in the context of LNP
> 
>     James:
>     The current draft (draft-ietf-iptel-tel-np-04.txt) implies that the
>     *rn* parameter can contain global numbers (i.e., E.164 numbers) in
>     the context of LNP. This has also been illustrated in one of the
>     examples in section 6(c). 
>      
>     But the scope of LNP is national; as such the scope of routing
>     number (LRN) is not a globally reachable number. Therefore, it must
>     be treated as a national number. RFC-3388 also makes a strong
>     statement on this very subject. Here is the excerpts from RFC-3388
>     (section 8.2.1.1 )
>      
>        "LRNs are necessarily national in scope, and consequently they
>     MUST NOT be preceded by a '+' in the 'rn=' field."
>      
>